Benutzerhandbuch
Version 1.9 — Rev. 3

# Externe Proxy-Anwendung

### Name

#### Beschreibung

Ein eindeutiger Name fuer diese externe Anwendung. Sie verweisen mit diesem Namen in anderen Teilen der Konfiguration auf sie.

### Remote-Logger-Adresse (optional)

#### Beschreibung

Gibt die optionale Socket-Adresse fuer diesen verrohrten Logger an. Setzen Sie diesen Wert, wenn der Logger ueber einen Netzwerk-Socket oder Unix Domain Socket erreichbar ist. Lassen Sie das Feld leer fuer einen lokalen verrohrten Logger, der ueber den konfigurierten Befehlspfad gestartet wird.

#### Syntax

IPv4-Adresse:Port, Hostname:Port, [IPv6-Adresse]:Port, UDS://Pfad oder unix:Pfad

#### Beispiel

127.0.0.1:1514
logger.example.com:1514
UDS://tmp/lshttpd/logger.sock

### Max. Verbindungen

#### Beschreibung

Gibt die maximale Anzahl gleichzeitiger Verbindungen an, die zwischen dem Server und einer externen Anwendung hergestellt werden koennen. Diese Einstellung steuert, wie viele Anfragen eine externe Anwendung gleichzeitig verarbeiten kann; die tatsaechliche Grenze haengt jedoch auch von der externen Anwendung selbst ab. Ein hoeherer Wert hilft nicht, wenn die externe Anwendung nicht schnell genug ist oder nicht auf viele gleichzeitige Anfragen skalieren kann.

#### Syntax

Ganzzahl

#### Tipps

Performance Ein hoher Wert bedeutet nicht automatisch hoehere Leistung. Den Grenzwert so zu setzen, dass die externe Anwendung nicht ueberlastet wird, bietet die beste Leistung/den besten Durchsatz.

### Umgebung

#### Beschreibung

Gibt zusaetzliche Umgebungsvariablen fuer die externe Anwendung an.

#### Syntax

Key=value. Mehrere Variablen koennen mit "ENTER" getrennt werden

### Befehl

#### Beschreibung

Gibt die vollstaendige Befehlszeile einschliesslich Parametern zum Ausfuehren der externen Anwendung an. Erforderlich, wenn Vom Server starten aktiviert ist. Ein Parameter sollte in doppelte oder einfache Anfuehrungszeichen gesetzt werden, wenn er Leerzeichen oder Tabulatoren enthaelt.

#### Syntax

Vollstaendiger Pfad zur ausfuehrbaren Datei mit optionalen Parametern.

#### Siehe auch

Vom Server starten

### Instanzen

#### Beschreibung

Gibt die maximale Anzahl von Instanzen der externen Anwendung an, die der Server erstellt. Dies ist erforderlich, wenn Vom Server starten aktiviert ist. Die meisten FastCGI/LSAPI-Anwendungen koennen nur eine Anfrage pro Prozessinstanz verarbeiten; fuer diese Anwendungen sollten die Instanzen dem Wert von Max. Verbindungen entsprechen. Einige FastCGI/LSAPI-Anwendungen koennen mehrere Kindprozesse starten, um mehrere Anfragen gleichzeitig zu verarbeiten. Fuer diese Anwendungen sollten die Instanzen auf "1" gesetzt und Umgebungsvariablen verwendet werden, um zu steuern, wie viele Kindprozesse die Anwendung starten kann.

#### Syntax

Ganzzahl

### Als Benutzer ausfuehren

#### Beschreibung

Die externe Anwendung wird unter diesem angegebenen Benutzernamen ausgefuehrt. Wenn nicht gesetzt, werden Einstellungen der Virtual-Host-Ebene geerbt.
Standardwert: Not Set

#### Syntax

Gueltiger Benutzername.

#### Siehe auch

extGroup

### Als Gruppe ausfuehren

#### Beschreibung

Die externe Anwendung wird unter diesem angegebenen Gruppennamen ausgefuehrt. Wenn nicht gesetzt, werden Einstellungen der Virtual-Host-Ebene geerbt.
Standardwert: Not Set

#### Syntax

Gueltiger Gruppenname.

#### Siehe auch

extUser

### umask

#### Beschreibung

Setzt die Standard-umask fuer die Prozesse dieser externen Anwendung. Siehe man 2 umask fuer Details. Der Standardwert wird aus der Server-Level-Einstellung umask uebernommen.

#### Syntax

Wert im gueltigen Bereich [000]-[777].

#### Siehe auch

CGI umask

### Prioritaet

#### Beschreibung

Gibt die Prioritaet des externen Anwendungsprozesses an. Werte reichen von -20 bis 20. Eine niedrigere Zahl bedeutet hoehere Prioritaet. Ein externer Anwendungsprozess kann keine hoehere Prioritaet als der Webserver haben. Wenn diese Prioritaet auf eine niedrigere Zahl als die des Servers gesetzt ist, wird die Prioritaet des Servers fuer diesen Wert verwendet.

#### Syntax

Ganzzahl

#### Siehe auch

Server Prioritaet